Page MenuHomePhabricator

[OpenCL][8.0.0 Release] Notes for OpenCL
ClosedPublic

Authored by Anastasia on Feb 21 2019, 6:26 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

Anastasia created this revision.Feb 21 2019, 6:26 AM
Anastasia marked an inline comment as done.Feb 21 2019, 6:31 AM
Anastasia added inline comments.
docs/ReleaseNotes.rst
14 ↗(On Diff #187779)

@hans I am not sure if it's best to list all languages supported (i.e. OpenMP, Renderscript, CUDA are still missing) or alternatively we could change to something like - Clang C language family frontend? The latter one is taken from the main page: https://clang.llvm.org/. Although, OpenMP is missing on the main page.

Anastasia marked an inline comment as done.Feb 21 2019, 6:33 AM
Anastasia added a subscriber: ABataev.
Anastasia added inline comments.
docs/ReleaseNotes.rst
14 ↗(On Diff #187779)

@ABataev should the main page be updated to list OpenMP explicitly?

ABataev added inline comments.Feb 21 2019, 6:44 AM
docs/ReleaseNotes.rst
14 ↗(On Diff #187779)

Well, generally speaking, OpenMP is not a programming language, it is an API, i.e. just an extension for C/C++/Fortran. Not sure that it must be in the list of the actual languages.

Anastasia marked an inline comment as done.Feb 21 2019, 7:34 AM
Anastasia added inline comments.
docs/ReleaseNotes.rst
14 ↗(On Diff #187779)

Ok, then I guess it will be ok to leave it out in this update to the release notes too!

AlexeySotkin added inline comments.Feb 21 2019, 7:49 AM
docs/ReleaseNotes.rst
228 ↗(On Diff #187779)

Why the "C" is removed ?

AlexeySotkin added inline comments.Feb 21 2019, 7:57 AM
docs/ReleaseNotes.rst
228 ↗(On Diff #187779)

Should we call the section like: "OpenCL Support in Clang"?

kkwli0 added a subscriber: kkwli0.Feb 21 2019, 8:04 AM
kkwli0 added inline comments.
docs/ReleaseNotes.rst
14 ↗(On Diff #187779)

I agree with Alexey. OpenMP is an API specification not quite a language yet.

Anastasia marked an inline comment as done.Feb 21 2019, 11:24 AM
Anastasia added inline comments.
docs/ReleaseNotes.rst
228 ↗(On Diff #187779)

I would like to leave "Changes" in as it described the difference in this release. And I think "Language" should stay to be more precise that this doesn't cover libraries or runtime.

So I was think of either:
OpenCL Kernel Language Change in Clang
or
'OpenCL C/C++ Language Changes in Clang'

I am a bit worried about the last one since it might link to the OpenCL C++ spec... even though it was used in the past release notes... but now that the direction has been changed I am not sure. Any opinion?

Anastasia updated this revision to Diff 188122.Feb 25 2019, 3:36 AM

Updated the section title!

Anastasia marked an inline comment as done.Feb 25 2019, 3:36 AM
Anastasia added inline comments.
docs/ReleaseNotes.rst
228 ↗(On Diff #187779)

We might need to finalize this quickly. @hans when is the last day to commit this to the release branch?

AlexeySotkin accepted this revision.Feb 25 2019, 4:19 AM
This revision is now accepted and ready to land.Feb 25 2019, 4:19 AM
hans added inline comments.Feb 25 2019, 7:51 AM
docs/ReleaseNotes.rst
228 ↗(On Diff #187779)

Within a day or two would be good.

But it looks like it got accepted now. Will you commit to the branch, or would you like me to do it for you?

Closed by commit rL354799: Release notes for OpenCL (authored by stulova, committed by ). · Explain WhyFeb 25 2019, 9:07 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 25 2019, 9:07 AM

Committed to the release branch r354799.

FYI, I did a couple of formatting changes and typo fixes.

hans added a comment.Feb 26 2019, 1:31 AM

Many thanks!